### Name: kineticModel
### Title: Pharmacokinetic Models
### Aliases: kineticModel
### Keywords: models

### ** Examples

data(buckley)
img <- array(t(breast$data)[,(1:60)*5], c(13,1,1,60))
time <- buckley$time.min[(1:60)*5]
mask <- array(rep(TRUE, 13), c(13,1,1))
fit.lm <- dcemri.lm(img, time, mask, aif="fritz.hansen")
curve.lm <- kineticModel(time, list("ktrans"=fit.lm$ktrans[3],
                         "kep"=fit.lm$kep[3], "vp"=fit.lm$vp[3]))
## Not run: curve.lm

plot(time, img[3,1,1,], xlab="time", ylab="conc")
lines(time, curve.lm)

fit.bayes <- dcemri.bayes(img, time, mask, aif="fritz.hansen")
curve.bayes <- kineticModel(time, list("ktrans"=fit.bayes$ktrans[3],
                            "kep"=fit.bayes$kep[3], "vp"=fit.bayes$vp[3]))
lines(time, curve.bayes, col="blue")
cbind(time, img[3,1,1,], curve.lm, curve.bayes)[20:30,]



